summaryrefslogtreecommitdiff
path: root/localedata/sort-test.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>1997-03-05 00:35:19 +0000
committerUlrich Drepper <drepper@redhat.com>1997-03-05 00:35:19 +0000
commitf5f52655ceb5152d79ca88db5293fa1136969303 (patch)
treeede086d97c70bab7797c3f4139aa905df2493a81 /localedata/sort-test.sh
parent377a515b4ce100dc119db09a7bc1d7628136993a (diff)
1997-02-15 14:32 15:10 Andreas Jaeger <aj@arthur.pfalz.de> * collate-test.c (main): change prototype definition to prevent warning. 1997-02-15 17:46 Ulrich Drepper <drepper@cygnus.com> * locales/de_DE: Include real collation data. It's similar to the en_DK information but the order of small and capital characters is exchanged. * collate-test.c: New file. Test suite for strcoll function. * de_DE.in: Input file for collation test. * da_DK.in: Likewise. * xfrm-test.c: New file. Test suite for strxfrm function. 1996-12-10 02:47 Ulrich Drepper <drepper@cygnus.com> * All charmaps: Fix entries for <quotation-mark>. 1996-10-17 18:57 Ulrich Drepper <drepper@cygnus.com> * Makefile (charmaps): Don't try to install CVS or RCS directory. (locales): Likewise. Reported by Matthias Urlichs.
Diffstat (limited to 'localedata/sort-test.sh')
-rw-r--r--localedata/sort-test.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/localedata/sort-test.sh b/localedata/sort-test.sh
new file mode 100644
index 0000000000..8ac41fce92
--- /dev/null
+++ b/localedata/sort-test.sh
@@ -0,0 +1,39 @@
+#! /bin/sh
+
+common_objpfx=$1; shift
+lang=$*
+
+id=${PPID:-100}
+here=`pwd`
+
+# Generate data files.
+for l in $lang; do
+ cns=`echo $l | sed 's/\(.*\)[.][^.]*/\1/'`
+ cn=locales/$cns
+ fn=charmaps/`echo $l | sed 's/.*[.]\([^.]*\)/\1/'`
+ LD_LIBRARY_PATH=$common_objpfx $common_objpfx/elf/ld.so \
+ $common_objpfx/locale/localedef --quiet -i $cn -f $fn \
+ $common_objpfx/localedata/$cns
+done
+
+# Run collation tests.
+status=0
+for l in $lang; do
+ cns=`echo $l | sed 's/\(.*\)[.][^.]*/\1/'`
+ LOCPATH=$common_objpfx/localedata LC_ALL=$cns \
+ LD_LIBRARY_PATH=$common_objpfx $common_objpfx/elf/ld.so \
+ $common_objpfx/localedata/collate-test $id < $cns.in \
+ > $common_objpfx/localedata/$cns.out || status=1
+ cmp -s $cns.in $common_objpfx/localedata/$cns.out || status=1
+
+ LOCPATH=$common_objpfx/localedata LC_ALL=$cns \
+ LD_LIBRARY_PATH=$common_objpfx $common_objpfx/elf/ld.so \
+ $common_objpfx/localedata/xfrm-test $id < $cns.in \
+ > $common_objpfx/localedata/$cns.xout || status=1
+ cmp -s $cns.in $common_objpfx/localedata/$cns.xout || status=1
+done
+
+exit $status
+# Local Variables:
+# mode:ksh
+# End: